#include <iostream>

using namespace std;

int main()
{
    int t,n,m,k,br=0,kopin;
    cin>>t;
    int pom=t;
   string resenja[t];
   while(t>0)
   {
       cin>>n;
       kopin=n;
       cin>>m;
       cin>>k;
       int potrebno;
       int bom=1;
       while(n>0)
       {
           for(int i=0; i<k; i++)
           {
               potrebno=potrebno+bom;
               n--;
               if(n==0)
               {
                   break;
               }
           }
           bom++;
       }
       if(potrebno<m || potrebno==m)
       {
           resenja[br]="Tak";
       }
       else
       {
           resenja[br]="Nie";
       }
       if(k>kopin)
       {
           resenja[br]="Nie";
       }
       br++;
       t--;

   }
   for(int i=0; i<pom; i++)
   {
       cout<<resenja[i]<<endl;
   }
   return 0;
}